getList webhook subscriptions

Required capabilitywebhooks.read

Authentication: Send Authorization: Bearer <access_token>.

Lists webhook subscriptions. If omitted, scope_ref is derived from the authenticated enterprise or client context.

Parameters

Name Location Type Required Description and constraints
scope_ref query string or string No
page_size query integer No Cursor pagination page size. The canonical contract accepts integers from 1 to 500. minimum: 1; maximum: 500; default: 100
page_token query string No Opaque cursor returned by a previous page.
status query "active" / "paused" / "deleted" or "active" / "paused" / "deleted"[] No

Request

Request URL

GET
GET /webhook-subscriptions

Responses

Response

application/json
{
  "items": [
    {
      "created_at": "2026-05-01T10:00:00Z",
      "etag": "2026-05-01T10:00:00Z",
      "event_types": [
        "operations.withdrawal.settled.v1"
      ],
      "id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "kind": "public",
      "managed_by": null,
      "resource": "webhook_subscription",
      "scope_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "signing": "hmac",
      "status": "active",
      "updated_at": "2026-05-01T10:00:00Z",
      "url": "https://example.com/webhooks"
    }
  ],
  "next_page_token": null
}

Operation succeeded.

Response 200 schema

Content type: application/json.

application/json body

Field Type Required Description and constraints
items object[] Yes
next_page_token string or null Yes

Additional fields are not accepted.

application/json body.items

Type: object[].

application/json body.items item
Field Type Required Description and constraints
created_at string or string Yes
etag string Yes minLength: 1
event_types "" / "tenant.enterprise.admission_reviewed.v1" / "tenant.enterprise.admitted.v1" / "tenant.enterprise.activated.v1" / "tenant.enterprise.updated.v1" / "tenant.enterprise.suspended.v1" / "tenant.enterprise.reactivated.v1" / "tenant.enterprise.closed.v1" / "tenant.enterprise.terminated.v1" / "tenant.platform_operator.admitted.v1" / "tenant.platform_operator.restricted.v1" / "tenant.platform_operator.reactivated.v1" / "tenant.platform_operator.offboarded.v1" / "tenant.platform_operator.catalog_updated.v1" / "tenant.master_account.created.v1" / "tenant.master_account.suspended.v1" / "tenant.master_account.closed.v1" / "tenant.client.created.v1" / "tenant.client.updated.v1" / "tenant.client.suspended.v1" / "tenant.client.reactivated.v1" / "tenant.client.closed.v1" / "tenant.client_account.created.v1" / "tenant.client_account.suspended.v1" / "tenant.client_account.reactivated.v1" / "tenant.client_account.closed.v1" / "ledger.transaction.posted.v1" / "operations.withdrawal.requested.v1" / "operations.withdrawal.admissible.v1" / "operations.withdrawal.executing.v1" / "operations.withdrawal.pending_approval.v1" / "operations.withdrawal.pending_compliance.v1" / "operations.withdrawal.approved.v1" / "operations.withdrawal.settled.v1" / "operations.withdrawal.failed.v1" / "operations.withdrawal.cancelled.v1" / "operations.conversion.requested.v1" / "operations.conversion.admissible.v1" / "operations.conversion.pending_approval.v1" / "operations.conversion.pending_compliance.v1" / "operations.conversion.approved.v1" / "operations.conversion.settled.v1" / "operations.conversion.failed.v1" / "operations.conversion.cancelled.v1" / "operations.external_settlement_conversion.pending_compliance.v1" / "operations.internal_transfer.requested.v1" / "operations.internal_transfer.admissible.v1" / "operations.internal_transfer.pending_approval.v1" / "operations.internal_transfer.pending_compliance.v1" / "operations.internal_transfer.approved.v1" / "operations.internal_transfer.settled.v1" / "operations.internal_transfer.failed.v1" / "operations.internal_transfer.cancelled.v1" / "operations.on_ramp.requested.v1" / "operations.on_ramp.admissible.v1" / "operations.on_ramp.pending_approval.v1" / "operations.on_ramp.pending_compliance.v1" / "operations.on_ramp.approved.v1" / "operations.on_ramp.settled.v1" / "operations.on_ramp.failed.v1" / "operations.on_ramp.cancelled.v1" / "operations.off_ramp.requested.v1" / "operations.off_ramp.admissible.v1" / "operations.off_ramp.pending_approval.v1" / "operations.off_ramp.pending_compliance.v1" / "operations.off_ramp.approved.v1" / "operations.off_ramp.settled.v1" / "operations.off_ramp.failed.v1" / "operations.off_ramp.cancelled.v1" / "operations.deposit.requested.v1" / "operations.deposit.admissible.v1" / "operations.deposit.pending_approval.v1" / "operations.deposit.pending_admission.v1" / "operations.deposit.pending_compliance.v1" / "operations.deposit.approved.v1" / "operations.deposit.settled.v1" / "operations.deposit.failed.v1" / "operations.deposit.cancelled.v1" / "rails.deposit.detected.v1" / "rails.dispatch.acknowledged.v1" / "rails.dispatch.rejected.v1" / "rails.settlement.confirmed.v1" / "kyc.verification.reviewed.v1" / "loan.originated.v1" / "loan.origination_failed.v1" / "loan.margin_called.v1" / "loan.margin_call_cleared.v1" / "loan.liquidation_halted.v1" / "loan.liquidated.v1" / "loan.repaid.v1" / "loan.extended.v1" / "loan.closed.v1" / "loan.force_closed.v1" / "loan.reconciliation_discrepancy.v1" / "tenant.enterprise..v1" / "tenant..v1" / "tenant.platform_operator..v1" / "tenant.master_account..v1" / "tenant.client..v1" / "tenant.client_account..v1" / "ledger.transaction..v1" / "ledger..v1" / "operations.withdrawal..v1" / "operations..v1" / "operations.conversion..v1" / "operations.external_settlement_conversion..v1" / "operations.internal_transfer..v1" / "operations.on_ramp..v1" / "operations.off_ramp..v1" / "operations.deposit..v1" / "rails.deposit..v1" / "rails..v1" / "rails.dispatch..v1" / "rails.settlement..v1" / "kyc.verification..v1" / "kyc..v1" / "loan.loan..v1" / "loan..v1" / "identity.human_actor.created.v1" / "identity.human_actor.pending_created.v1" / "identity.human_actor.activated.v1" / "identity.human_actor.suspended.v1" / "identity.human_actor.reactivated.v1" / "identity.human_actor.deactivated.v1" / "identity.human_actor.updated.v1" / "identity.human_actor.federation_bound.v1" / "identity.human_actor..v1" / "identity.human_actor.access_resend_requested.v1" / "identity.human_actor.recovery_requested.v1"[] Yes minItems: 1
id string Yes format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
kind "public" / "identity" / "command" Yes Which catalog classes the subscription admits: public → public events; identity → public and identity events; command → command events only.
managed_by string or null Yes identity_provider_id of the IdP row that owns a core-managed subscription; null for tenant-created ones.
resource "webhook_subscription" Yes
scope_ref string or string Yes Webhook subscriptions can be scoped only to an enterprise or client.
signing "hmac" / "asymmetric" Yes hmac: v1 HMAC header plus the v2 Ed25519 header; asymmetric: v2 only, verified against the published JWKS.
status "active" / "paused" / "deleted" Yes
updated_at string or string Yes
url string Yes format: uri

Additional fields are not accepted.

application/json body.items item.created_at

At least one alternative must match.

application/json body.items item.created_at: alternative 1

Type: string. format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

application/json body.items item.created_at: alternative 2

Type: string. format: date-time

application/json body.items item.event_types

Type: "*" / "tenant.enterprise.admission_reviewed.v1" / "tenant.enterprise.admitted.v1" / "tenant.enterprise.activated.v1" / "tenant.enterprise.updated.v1" / "tenant.enterprise.suspended.v1" / "tenant.enterprise.reactivated.v1" / "tenant.enterprise.closed.v1" / "tenant.enterprise.terminated.v1" / "tenant.platform_operator.admitted.v1" / "tenant.platform_operator.restricted.v1" / "tenant.platform_operator.reactivated.v1" / "tenant.platform_operator.offboarded.v1" / "tenant.platform_operator.catalog_updated.v1" / "tenant.master_account.created.v1" / "tenant.master_account.suspended.v1" / "tenant.master_account.closed.v1" / "tenant.client.created.v1" / "tenant.client.updated.v1" / "tenant.client.suspended.v1" / "tenant.client.reactivated.v1" / "tenant.client.closed.v1" / "tenant.client_account.created.v1" / "tenant.client_account.suspended.v1" / "tenant.client_account.reactivated.v1" / "tenant.client_account.closed.v1" / "ledger.transaction.posted.v1" / "operations.withdrawal.requested.v1" / "operations.withdrawal.admissible.v1" / "operations.withdrawal.executing.v1" / "operations.withdrawal.pending_approval.v1" / "operations.withdrawal.pending_compliance.v1" / "operations.withdrawal.approved.v1" / "operations.withdrawal.settled.v1" / "operations.withdrawal.failed.v1" / "operations.withdrawal.cancelled.v1" / "operations.conversion.requested.v1" / "operations.conversion.admissible.v1" / "operations.conversion.pending_approval.v1" / "operations.conversion.pending_compliance.v1" / "operations.conversion.approved.v1" / "operations.conversion.settled.v1" / "operations.conversion.failed.v1" / "operations.conversion.cancelled.v1" / "operations.external_settlement_conversion.pending_compliance.v1" / "operations.internal_transfer.requested.v1" / "operations.internal_transfer.admissible.v1" / "operations.internal_transfer.pending_approval.v1" / "operations.internal_transfer.pending_compliance.v1" / "operations.internal_transfer.approved.v1" / "operations.internal_transfer.settled.v1" / "operations.internal_transfer.failed.v1" / "operations.internal_transfer.cancelled.v1" / "operations.on_ramp.requested.v1" / "operations.on_ramp.admissible.v1" / "operations.on_ramp.pending_approval.v1" / "operations.on_ramp.pending_compliance.v1" / "operations.on_ramp.approved.v1" / "operations.on_ramp.settled.v1" / "operations.on_ramp.failed.v1" / "operations.on_ramp.cancelled.v1" / "operations.off_ramp.requested.v1" / "operations.off_ramp.admissible.v1" / "operations.off_ramp.pending_approval.v1" / "operations.off_ramp.pending_compliance.v1" / "operations.off_ramp.approved.v1" / "operations.off_ramp.settled.v1" / "operations.off_ramp.failed.v1" / "operations.off_ramp.cancelled.v1" / "operations.deposit.requested.v1" / "operations.deposit.admissible.v1" / "operations.deposit.pending_approval.v1" / "operations.deposit.pending_admission.v1" / "operations.deposit.pending_compliance.v1" / "operations.deposit.approved.v1" / "operations.deposit.settled.v1" / "operations.deposit.failed.v1" / "operations.deposit.cancelled.v1" / "rails.deposit.detected.v1" / "rails.dispatch.acknowledged.v1" / "rails.dispatch.rejected.v1" / "rails.settlement.confirmed.v1" / "kyc.verification.reviewed.v1" / "loan.originated.v1" / "loan.origination_failed.v1" / "loan.margin_called.v1" / "loan.margin_call_cleared.v1" / "loan.liquidation_halted.v1" / "loan.liquidated.v1" / "loan.repaid.v1" / "loan.extended.v1" / "loan.closed.v1" / "loan.force_closed.v1" / "loan.reconciliation_discrepancy.v1" / "tenant.enterprise.*.v1" / "tenant.*.v1" / "tenant.platform_operator.*.v1" / "tenant.master_account.*.v1" / "tenant.client.*.v1" / "tenant.client_account.*.v1" / "ledger.transaction.*.v1" / "ledger.*.v1" / "operations.withdrawal.*.v1" / "operations.*.v1" / "operations.conversion.*.v1" / "operations.external_settlement_conversion.*.v1" / "operations.internal_transfer.*.v1" / "operations.on_ramp.*.v1" / "operations.off_ramp.*.v1" / "operations.deposit.*.v1" / "rails.deposit.*.v1" / "rails.*.v1" / "rails.dispatch.*.v1" / "rails.settlement.*.v1" / "kyc.verification.*.v1" / "kyc.*.v1" / "loan.loan.*.v1" / "loan.*.v1" / "identity.human_actor.created.v1" / "identity.human_actor.pending_created.v1" / "identity.human_actor.activated.v1" / "identity.human_actor.suspended.v1" / "identity.human_actor.reactivated.v1" / "identity.human_actor.deactivated.v1" / "identity.human_actor.updated.v1" / "identity.human_actor.federation_bound.v1" / "identity.human_actor.*.v1" / "identity.human_actor.access_resend_requested.v1" / "identity.human_actor.recovery_requested.v1"[]. minItems: 1

application/json body.items item.event_types item

Type: "*" / "tenant.enterprise.admission_reviewed.v1" / "tenant.enterprise.admitted.v1" / "tenant.enterprise.activated.v1" / "tenant.enterprise.updated.v1" / "tenant.enterprise.suspended.v1" / "tenant.enterprise.reactivated.v1" / "tenant.enterprise.closed.v1" / "tenant.enterprise.terminated.v1" / "tenant.platform_operator.admitted.v1" / "tenant.platform_operator.restricted.v1" / "tenant.platform_operator.reactivated.v1" / "tenant.platform_operator.offboarded.v1" / "tenant.platform_operator.catalog_updated.v1" / "tenant.master_account.created.v1" / "tenant.master_account.suspended.v1" / "tenant.master_account.closed.v1" / "tenant.client.created.v1" / "tenant.client.updated.v1" / "tenant.client.suspended.v1" / "tenant.client.reactivated.v1" / "tenant.client.closed.v1" / "tenant.client_account.created.v1" / "tenant.client_account.suspended.v1" / "tenant.client_account.reactivated.v1" / "tenant.client_account.closed.v1" / "ledger.transaction.posted.v1" / "operations.withdrawal.requested.v1" / "operations.withdrawal.admissible.v1" / "operations.withdrawal.executing.v1" / "operations.withdrawal.pending_approval.v1" / "operations.withdrawal.pending_compliance.v1" / "operations.withdrawal.approved.v1" / "operations.withdrawal.settled.v1" / "operations.withdrawal.failed.v1" / "operations.withdrawal.cancelled.v1" / "operations.conversion.requested.v1" / "operations.conversion.admissible.v1" / "operations.conversion.pending_approval.v1" / "operations.conversion.pending_compliance.v1" / "operations.conversion.approved.v1" / "operations.conversion.settled.v1" / "operations.conversion.failed.v1" / "operations.conversion.cancelled.v1" / "operations.external_settlement_conversion.pending_compliance.v1" / "operations.internal_transfer.requested.v1" / "operations.internal_transfer.admissible.v1" / "operations.internal_transfer.pending_approval.v1" / "operations.internal_transfer.pending_compliance.v1" / "operations.internal_transfer.approved.v1" / "operations.internal_transfer.settled.v1" / "operations.internal_transfer.failed.v1" / "operations.internal_transfer.cancelled.v1" / "operations.on_ramp.requested.v1" / "operations.on_ramp.admissible.v1" / "operations.on_ramp.pending_approval.v1" / "operations.on_ramp.pending_compliance.v1" / "operations.on_ramp.approved.v1" / "operations.on_ramp.settled.v1" / "operations.on_ramp.failed.v1" / "operations.on_ramp.cancelled.v1" / "operations.off_ramp.requested.v1" / "operations.off_ramp.admissible.v1" / "operations.off_ramp.pending_approval.v1" / "operations.off_ramp.pending_compliance.v1" / "operations.off_ramp.approved.v1" / "operations.off_ramp.settled.v1" / "operations.off_ramp.failed.v1" / "operations.off_ramp.cancelled.v1" / "operations.deposit.requested.v1" / "operations.deposit.admissible.v1" / "operations.deposit.pending_approval.v1" / "operations.deposit.pending_admission.v1" / "operations.deposit.pending_compliance.v1" / "operations.deposit.approved.v1" / "operations.deposit.settled.v1" / "operations.deposit.failed.v1" / "operations.deposit.cancelled.v1" / "rails.deposit.detected.v1" / "rails.dispatch.acknowledged.v1" / "rails.dispatch.rejected.v1" / "rails.settlement.confirmed.v1" / "kyc.verification.reviewed.v1" / "loan.originated.v1" / "loan.origination_failed.v1" / "loan.margin_called.v1" / "loan.margin_call_cleared.v1" / "loan.liquidation_halted.v1" / "loan.liquidated.v1" / "loan.repaid.v1" / "loan.extended.v1" / "loan.closed.v1" / "loan.force_closed.v1" / "loan.reconciliation_discrepancy.v1" / "tenant.enterprise.*.v1" / "tenant.*.v1" / "tenant.platform_operator.*.v1" / "tenant.master_account.*.v1" / "tenant.client.*.v1" / "tenant.client_account.*.v1" / "ledger.transaction.*.v1" / "ledger.*.v1" / "operations.withdrawal.*.v1" / "operations.*.v1" / "operations.conversion.*.v1" / "operations.external_settlement_conversion.*.v1" / "operations.internal_transfer.*.v1" / "operations.on_ramp.*.v1" / "operations.off_ramp.*.v1" / "operations.deposit.*.v1" / "rails.deposit.*.v1" / "rails.*.v1" / "rails.dispatch.*.v1" / "rails.settlement.*.v1" / "kyc.verification.*.v1" / "kyc.*.v1" / "loan.loan.*.v1" / "loan.*.v1" / "identity.human_actor.created.v1" / "identity.human_actor.pending_created.v1" / "identity.human_actor.activated.v1" / "identity.human_actor.suspended.v1" / "identity.human_actor.reactivated.v1" / "identity.human_actor.deactivated.v1" / "identity.human_actor.updated.v1" / "identity.human_actor.federation_bound.v1" / "identity.human_actor.*.v1" / "identity.human_actor.access_resend_requested.v1" / "identity.human_actor.recovery_requested.v1".

application/json body.items item.managed_by

identity_provider_id of the IdP row that owns a core-managed subscription; null for tenant-created ones.

At least one alternative must match.

application/json body.items item.managed_by: alternative 1

Type: string. format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

application/json body.items item.managed_by: alternative 2

Type: null.

application/json body.items item.scope_ref

Webhook subscriptions can be scoped only to an enterprise or client.

At least one alternative must match.

application/json body.items item.scope_ref: alternative 1

Type: string. pattern: ^(enterprises)\/([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

application/json body.items item.scope_ref: alternative 2

Type: string. pattern: ^(clients)\/([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

application/json body.items item.updated_at

At least one alternative must match.

application/json body.items item.updated_at: alternative 1

Type: string. format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

application/json body.items item.updated_at: alternative 2

Type: string. format: date-time

application/json body.next_page_token

At least one alternative must match.

application/json body.next_page_token: alternative 1

Type: string.

application/json body.next_page_token: alternative 2

Type: null.

Response 400 schema

Content type: application/json.

application/json body

Field Type Required Description and constraints
code string Yes
data object No No additional fields
details object No Additional fields allowed
message string Yes

Additional fields are not accepted.

application/json body.data
Field Type Required Description and constraints
acr_values string No RFC 9470 step-up challenge (insufficient_user_authentication).
blockers object[] No For closure_preconditions_not_met on a terminal lifecycle verb: what must be resolved before the transition.
code string No For legal refusals: the document code the refusal is about.
max_age string No RFC 9470 step-up challenge (insufficient_user_authentication).
max_source_amount object No For amount_below_minimum / amount_above_maximum: the product maximum in source asset units; null means no maximum. No additional fields
min_source_amount object No For amount_below_minimum / amount_above_maximum: the effective minimum in source asset units, fees included. No additional fields
published_version string No For document_version_superseded: the version currently published.
reason string No Typed refinement of code, from the failing service's contract.
resource string No Resource kind a resource_not_found refers to.
retry_after_ms integer No Suggested back-off in milliseconds for throttling or temporary unavailability; null means no delay is known. minimum: 0
source string No For not_admissible: the gate that denied (verification, lifecycle, policy, compliance).

Additional fields are not accepted.

application/json body.data.blockers

For closure_preconditions_not_met on a terminal lifecycle verb: what must be resolved before the transition.

Type: object[].

application/json body.data.blockers item
Field Type Required Description and constraints
description string Yes
type "non_zero_balance" / "active_sub_resources" / "pending_operations" / "active_users" / "active_service_accounts" / "active_role_assignments" Yes
assets object[] No minItems: 1
count integer No minimum: 0; maximum: 9007199254740991

Additional fields are not accepted.

application/json body.data.blockers item.assets

Type: object[]. minItems: 1

application/json body.data.blockers item.assets item
Field Type Required Description and constraints
asset string Yes Currency code (ISO-4217 or on-chain ticker) pattern: ^[A-Z0-9]{1,16}$
kind "balance" / "held" / "owed" / "unsettled" Yes

Additional fields are not accepted.

application/json body.data.max_source_amount

For amount_below_minimum / amount_above_maximum: the product maximum in source asset units; null means no maximum.

Field Type Required Description and constraints
currency string Yes
value string Yes

Additional fields are not accepted.

application/json body.data.min_source_amount

For amount_below_minimum / amount_above_maximum: the effective minimum in source asset units, fees included.

Field Type Required Description and constraints
currency string Yes
value string Yes

Additional fields are not accepted.

Response 401 schema

Content type: application/json.

application/json body

Field Type Required Description and constraints
code string Yes
data object No No additional fields
details object No Additional fields allowed
message string Yes

Additional fields are not accepted.

application/json body.data
Field Type Required Description and constraints
acr_values string No RFC 9470 step-up challenge (insufficient_user_authentication).
blockers object[] No For closure_preconditions_not_met on a terminal lifecycle verb: what must be resolved before the transition.
code string No For legal refusals: the document code the refusal is about.
max_age string No RFC 9470 step-up challenge (insufficient_user_authentication).
max_source_amount object or null No For amount_below_minimum / amount_above_maximum: the product maximum in source asset units; null means no maximum. No additional fields
min_source_amount object No For amount_below_minimum / amount_above_maximum: the effective minimum in source asset units, fees included. No additional fields
published_version string No For document_version_superseded: the version currently published.
reason string No Typed refinement of code, from the failing service's contract.
resource string No Resource kind a resource_not_found refers to.
retry_after_ms integer or null No Suggested back-off in milliseconds for throttling or temporary unavailability; null means no delay is known. minimum: 0
source string No For not_admissible: the gate that denied (verification, lifecycle, policy, compliance).

Additional fields are not accepted.

application/json body.data.blockers

For closure_preconditions_not_met on a terminal lifecycle verb: what must be resolved before the transition.

Type: object[].

application/json body.data.blockers item
Field Type Required Description and constraints
description string Yes
type "non_zero_balance" / "active_sub_resources" / "pending_operations" / "active_users" / "active_service_accounts" / "active_role_assignments" Yes
assets object[] No minItems: 1
count integer No minimum: 0; maximum: 9007199254740991

Additional fields are not accepted.

application/json body.data.blockers item.assets

Type: object[]. minItems: 1

application/json body.data.blockers item.assets item
Field Type Required Description and constraints
asset string Yes Currency code (ISO-4217 or on-chain ticker) pattern: ^[A-Z0-9]{1,16}$
kind "balance" / "held" / "owed" / "unsettled" Yes

Additional fields are not accepted.

application/json body.data.max_source_amount

For amount_below_minimum / amount_above_maximum: the product maximum in source asset units; null means no maximum.

Field Type Required Description and constraints
currency string Yes
value string Yes

Additional fields are not accepted.

application/json body.data.min_source_amount

For amount_below_minimum / amount_above_maximum: the effective minimum in source asset units, fees included.

Field Type Required Description and constraints
currency string Yes
value string Yes

Additional fields are not accepted.

Response 403 schema

Content type: application/json.

See response 401 schema.

Response 404 schema

Content type: application/json.

See response 401 schema.

Response 500 schema

Content type: application/json.

See response 401 schema.

Response 502 schema

Content type: application/json.

See response 400 schema.

Response 503 schema

Content type: application/json.

See response 400 schema.